Skip to main content
GET
/
api
/
users
/
{user_id}
/
history
Get User Activity History
curl --request GET \
  --url https://api.example.com/api/users/{user_id}/history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "event_type": "<string>",
      "summary": "<string>",
      "details": {},
      "ip_address": "<string>",
      "user_agent": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

user_id
integer
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200

Cookies

antidote_session
string | null

Response

Successful Response

data
UserActivityLogRead · object[]
required